/*
 * Copyright (C) 2019 Javier Llorente <javier@opensuse.org>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
#ifndef OBSPKGMETACONFIG_H
#define OBSPKGMETACONFIG_H

#include <QUrl>
#include <QString>
#include "obsmetaconfig.h"

class OBSPkgMetaConfig : public OBSMetaConfig
{

public:
    OBSPkgMetaConfig();
    ~OBSPkgMetaConfig();

    QString getProject() const;
    void setProject(const QString &value);

    QUrl getUrl() const;
    void setUrl(const QUrl &value);

private:
    QString project;
    QUrl url;
};

#endif // OBSPKGMETACONFIG_H
